org.apache.hadoop.metrics2

## Interface MetricsSink

- All Superinterfaces:
    MetricsPlugin
  All Known Implementing Classes:
    AbstractGangliaSink, FileSink, GangliaSink30, GangliaSink31, GraphiteSink, RollingFileSystemSink, StatsDSink

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public interface MetricsSink
      extends MetricsPlugin

  The metrics sink interface.

  Implementations of this interface consume the `MetricsRecord` generated from `MetricsSource`. It registers with `MetricsSystem` which periodically pushes the `MetricsRecord` to the sink using `putMetrics(MetricsRecord)` method. If the implementing class also implements `Closeable`, then the MetricsSystem will close the sink when it is stopped.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `flush()` Flush any buffered metrics
    `void` | `putMetrics(MetricsRecord record)` Put a metrics record in the sink

    - ### Methods inherited from interface org.apache.hadoop.metrics2.MetricsPlugin

      `init`

- - ### Method Detail

    - #### putMetrics

          void putMetrics(MetricsRecord record)

      Put a metrics record in the sink
      Parameters:
        `record` - the record to put

    - #### flush

          void flush()

      Flush any buffered metrics

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.